VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: 090224 libpng-1.2.35 [VL 6.0]  (Read 757 times)

caitlyn

  • Moderator
  • Vectorian
  • *****
  • Posts: 2878
    • The Linux Works
090224 libpng-1.2.35 [VL 6.0]
« on: February 24, 2009, 06:24:05 pm »

rbistolfi has packaged an updated version of libpng for VL 6.0.  This is a security patch which closes known memory corruption vulnerabilities in the version included in VL 6.0.  Security conscious users may want to upgrade immediately.  This package will be moved to patches as soon as we have adequate user testing.

Package:  libpng-1.2.35-i486-1_slack12.1.tlz
MD5:  a59ea7a4d447040635889a60edfa4ce6
Package Size:   287K
Installed Size:  1190K

Sources:  http://vectorlinux.osuosl.org/veclinux-6.0/source/testing/libs/libpng

Code: [Select]
libpng: libpng (Portable Network Graphics library)
libpng:
libpng: PNG (Portable Network Graphics) is an extensible file format for the
libpng: lossless, portable, well-compressed storage of raster images.  PNG
libpng: provides a patent-free replacement for GIF and can also replace many
libpng: common uses of TIFF.  Indexed-color, grayscale, and truecolor images
libpng: are supported, plus an optional alpha channel.  Sample depths range
libpng: from 1 to 16 bits.
libpng:
libpng:
libpng:

After testing this package please stop back here and let us know how it works for you.
Logged
eMachines EL-1300G desktop, 1.6GHz AMD Athlon 2650e CPU, 4GB RAM, nVidia GeForce 6150 SE video
CentOS 6.5 (will try VL64-7.1 soon)

Toshiba Satellite A135-S4727,  Intel Pentium T2080 / 1.73 GHz, 2GB RAM, Intel GMA 950

HP Mini 110 netbook, 1.6GHz Intel Atom CPU, 2GB RAM, Intel 950 video, VL 7.1

caitlyn

  • Moderator
  • Vectorian
  • *****
  • Posts: 2878
    • The Linux Works
Re: 090224 libpng-1.2.35 [VL 6.0]
« Reply #1 on: February 26, 2009, 09:49:26 pm »

This converted Slackware package proved problematic -- basically not compatible with VL.  It has been pulled from the repo and a new, built specifically for VL package is about to be announced.  Sorry for any inconvenience.
Logged
eMachines EL-1300G desktop, 1.6GHz AMD Athlon 2650e CPU, 4GB RAM, nVidia GeForce 6150 SE video
CentOS 6.5 (will try VL64-7.1 soon)

Toshiba Satellite A135-S4727,  Intel Pentium T2080 / 1.73 GHz, 2GB RAM, Intel GMA 950

HP Mini 110 netbook, 1.6GHz Intel Atom CPU, 2GB RAM, Intel 950 video, VL 7.1